Skip to main content
PUT
Update Catalog Public

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Path Parameters

catalog_id
string
required

Body

application/json

Request to update catalog settings

name
string | null

Updated catalog name

Required string length: 1 - 100
description
string | null

Updated catalog description

auto_evolve_schema
boolean | null

Allow automatic schema evolution

strict_mode
boolean | null

Reject unknown fields

catalog_md
string | null

Markdown context injected into enrichment and mapping prompts

Response

Successful Response

Response model for catalog information

id
string
required
organization_id
string
required
name
string
required
current_schema_version
string
required
unique_id_field
string
required
auto_evolve_schema
boolean
required
strict_mode
boolean
required
product_enabled
boolean
required
item_count
integer
required
created_by_user_id
string
required
created_at
string<date-time>
required
description
string | null
product_id_field
string | null
updated_at
string<date-time> | null
schema
CatalogSchemaResponse · object | null

Response model for catalog schema